## org.apache.myfaces.custom.layout
Class HtmlPanelLayout

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.custom.layout.HtmlPanelLayout

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlPanelLayout
extends javax.faces.component.html.HtmlPanelGroup

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlPanelLayout()`

Method Summary
`javax.faces.component.UIComponent` `getBody()`
`java.lang.String` `getBodyClass()`
`java.lang.String` `getBodyStyle()`
`java.lang.String` `getFamily()`
`javax.faces.component.UIComponent` `getFooter()`
`java.lang.String` `getFooterClass()`
`java.lang.String` `getFooterStyle()`
`javax.faces.component.UIComponent` `getHeader()`
`java.lang.String` `getHeaderClass()`
`java.lang.String` `getHeaderStyle()`
`java.lang.String` `getLayout()`
`javax.faces.component.UIComponent` `getNavigation()`
`java.lang.String` `getNavigationClass()`
`java.lang.String` `getNavigationStyle()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setBodyClass(java.lang.String bodyClass)`
`void` `setBodyStyle(java.lang.String bodyStyle)`
`void` `setFooterClass(java.lang.String footerClass)`
`void` `setFooterStyle(java.lang.String footerStyle)`
`void` `setHeaderClass(java.lang.String headerClass)`
`void` `setHeaderStyle(java.lang.String headerStyle)`
`void` `setLayout(java.lang.String layout)`
`void` `setNavigationClass(java.lang.String navigationClass)`
`void` `setNavigationStyle(java.lang.String navigationStyle)`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelLayout

    public HtmlPanelLayout()

Method Detail

### getHeader

    public javax.faces.component.UIComponent getHeader()

### getNavigation

    public javax.faces.component.UIComponent getNavigation()

### getBody

    public javax.faces.component.UIComponent getBody()

### getFooter

    public javax.faces.component.UIComponent getFooter()

### getFamily

    public java.lang.String getFamily()

### setLayout

    public void setLayout(java.lang.String layout)

### getLayout

    public java.lang.String getLayout()

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

### getHeaderClass

    public java.lang.String getHeaderClass()

### setNavigationClass

    public void setNavigationClass(java.lang.String navigationClass)

### getNavigationClass

    public java.lang.String getNavigationClass()

### setBodyClass

    public void setBodyClass(java.lang.String bodyClass)

### getBodyClass

    public java.lang.String getBodyClass()

### setFooterClass

    public void setFooterClass(java.lang.String footerClass)

### getFooterClass

    public java.lang.String getFooterClass()

### setHeaderStyle

    public void setHeaderStyle(java.lang.String headerStyle)

### getHeaderStyle

    public java.lang.String getHeaderStyle()

### setNavigationStyle

    public void setNavigationStyle(java.lang.String navigationStyle)

### getNavigationStyle

    public java.lang.String getNavigationStyle()

### setBodyStyle

    public void setBodyStyle(java.lang.String bodyStyle)

### getBodyStyle

    public java.lang.String getBodyStyle()

### setFooterStyle

    public void setFooterStyle(java.lang.String footerStyle)

### getFooterStyle

    public java.lang.String getFooterStyle()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)